Package fr.gouv.vitam.common.storage.cas.container.api

# Enum Class LocationScope

java.lang.Object
java.lang.Enum<LocationScope>
fr.gouv.vitam.common.storage.cas.container.api.LocationScope

All Implemented Interfaces:
  `Serializable`, `Comparable<LocationScope>`, `Constable`

public enum LocationScope extends Enum<LocationScope>
The scope of the location

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HOST`
  `NETWORK`
  E.g.
  `PROVIDER`
  `REGION`
  `SYSTEM`
  `ZONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LocationScope`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LocationScope[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PROVIDER

    public static final LocationScope PROVIDER

  - ### REGION

    public static final LocationScope REGION

  - ### ZONE

    public static final LocationScope ZONE

  - ### SYSTEM

    public static final LocationScope SYSTEM
    See Also:
      - cimi system docs

  - ### NETWORK

    public static final LocationScope NETWORK
    E.g. the DMZ segment, secure segment.

  - ### HOST

    public static final LocationScope HOST

- ## Method Details

  - ### values

    public static LocationScope[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LocationScope valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null